package com.yijia.customer.mapper;

import java.util.List;
import com.yijia.customer.domain.CustomerElectronicCard;

/**
 * 客户电子会员卡（储蓄卡）Mapper接口
 * 
 * @author yijia
 * @date 2021-04-12
 */
public interface CustomerElectronicCardMapper 
{
    /**
     * 查询客户电子会员卡（储蓄卡）
     * 
     * @param id 客户电子会员卡（储蓄卡）ID
     * @return 客户电子会员卡（储蓄卡）
     */
    public CustomerElectronicCard selectCustomerElectronicCardById(Long id);

    /**
     * 查询客户电子会员卡（储蓄卡）列表
     * 
     * @param customerElectronicCard 客户电子会员卡（储蓄卡）
     * @return 客户电子会员卡（储蓄卡）集合
     */
    public List<CustomerElectronicCard> selectCustomerElectronicCardList(CustomerElectronicCard customerElectronicCard);

    /**
     * 新增客户电子会员卡（储蓄卡）
     * 
     * @param customerElectronicCard 客户电子会员卡（储蓄卡）
     * @return 结果
     */
    public int insertCustomerElectronicCard(CustomerElectronicCard customerElectronicCard);

    /**
     * 修改客户电子会员卡（储蓄卡）
     * 
     * @param customerElectronicCard 客户电子会员卡（储蓄卡）
     * @return 结果
     */
    public int updateCustomerElectronicCard(CustomerElectronicCard customerElectronicCard);

    /**
     * 删除客户电子会员卡（储蓄卡）
     * 
     * @param id 客户电子会员卡（储蓄卡）ID
     * @return 结果
     */
    public int deleteCustomerElectronicCardById(Long id);

    /**
     * 批量删除客户电子会员卡（储蓄卡）
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCustomerElectronicCardByIds(Long[] ids);

    /**
     * 查询电子会员数据
     */
    public CustomerElectronicCard listSum(CustomerElectronicCard customerElectronicCard);

    /**
     * 查询电子会员报表数据
     */
    public List<CustomerElectronicCard> selectCard(CustomerElectronicCard customerElectronicCard);

    public List<CustomerElectronicCard> selectCardPage(CustomerElectronicCard customerElectronicCard);

    public CustomerElectronicCard listHYData(CustomerElectronicCard customerElectronicCard);

    public CustomerElectronicCard listJRHYData(CustomerElectronicCard customerElectronicCard);
}
